package org.springblade.system.mapper;

import org.springblade.common.core.domain.entity.KyDataClassify;
import org.springblade.common.core.domain.entity.KyDataClassifyVo;
import org.springblade.common.core.domain.entity.KyDataCollectData;

import java.util.List;

/**
 * @Author：liang.chao
 * @Date：2025/10/23 - 14:45
 */
public interface FileShareMapper {

    List<KyDataClassifyVo> getParenList();

    List<KyDataClassify> listAll(KyDataClassify kyDataClassify);

    List<KyDataCollectData> selectKyDataCollectDataList(KyDataCollectData kyDataCollectData);

    String queryDetailById(KyDataCollectData kyDataCollectData);
}
